MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027269Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-03-16 13:402016-12-09 16:37
Reporternbv 
Assigned Tobugmaster 
PrioritylowSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027269: Intersection algorithm produces null-length curve
DescriptionImpPrm-intersector produces B-spline with two coincident poles.
Steps To ReproduceTest case has already been created and pushed to the branch.

Source files have been attached to issue #27267.

Draw[]> restore [locate_data_file bug27267_obj.brep] a
Draw[]> restore [locate_data_file bug27267_tool.brep] b
Draw[]> explode a f
Draw[]> explode b f
Draw[]> bopcurves a_1 b_1 -2d
# 4 curve(s) found.

Draw[]> dump c_3


*********** Dump of c_3 *************
Trimmed curve
Parameters : 0 6.28318530717959
Basis curve :
BSplineCurve
  Degree 1, 2 Poles, 2 Knots
Poles :

   1 : 0.42465, -1.50463276905253e-036, 1.1229
   2 : 0.42465, -1.50463276905253e-036, 1.1229
Knots :

   1 : 0 2
   2 : 6.28318530717959 2


TagsNo tags attached.
Test case numberbugs modalg_6 bug27269
Attached Files

- Relationships

-  Notes
(0051717)
nbv (developer)
2016-03-17 09:35

Ask to pay attention to the fact that the shape is quite small indeed:

Draw[]> restore bug27267_cmpd.brep a
Draw[]> vprops a 1.0e-4
# Mass : 7.31389e-007
(0052562)
git (administrator)
2016-04-11 10:41

Branch CR27269 has been created by nbv.

SHA-1: d3491e56b09641754fef29805d8e6c7974e336a8


Detailed log of new commits:

Author: nbv
Date: Mon Apr 11 10:38:50 2016 +0300

    0027269: Intersection algorithm produces null-length curve
    
    Restriction line can correspond to a degenerated edge. In this case we shall return null-curve (instead of Null-length curve).
(0052563)
nbv (developer)
2016-04-11 10:42

Dear Mikhail,

Please review CR27269 branch.
(0052608)
git (administrator)
2016-04-12 14:31

Branch CR27269 has been updated forcibly by nbv.

SHA-1: 7aa8e956c44cf13811d781e9ee0839095981763f
(0052609)
nbv (developer)
2016-04-12 14:31

Test script has been updated.
(0053640)
msv (developer)
2016-04-27 16:27

Reviewed.
(0053651)
git (administrator)
2016-04-27 17:38

Branch CR27269 has been updated forcibly by mkv.

SHA-1: 3d8295738f4a5338f938921ef85e2cd8b7f72899
(0053663)
apv (tester)
2016-04-28 12:00

Dear BugMaster,

Branch CR27269 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 3d8295738f4a5338f938921ef85e2cd8b7f72899

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MacOS: 0 (0 on master)
products component:
   Linux: 72
   Windows: 4
   MacOS: 1128

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_6 bug27269 - OK
http://occt-tests/CR27269-master-OCCT/Debian70-64/bugs/modalg_6/bug27269.html [^]
http://occt-tests/CR27269-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug27269.html [^]

Testing on Linux:
Total MEMORY difference: 88489517 / 88980442 [-0.55%]
Total CPU difference: 19045.79999999995 / 19139.690000000024 [-0.49%]

Testing on Windows:
Total MEMORY difference: 55721001 / 55762261 [-0.07%]
Total CPU difference: 18110.68649339885 / 18152.27635999891 [-0.23%]
(0054198)
git (administrator)
2016-05-20 12:22

Branch CR27269 has been deleted by inv.

SHA-1: 3d8295738f4a5338f938921ef85e2cd8b7f72899

- Related Changesets
occt: master b55bd023
Timestamp: 2016-04-11 07:38:50
Author: nbv
Committer: bugmaster
Details ] Diff ]
0027269: Intersection algorithm produces null-length curve

Restriction line can correspond to a degenerated edge. In this case we shall return null-curve (instead of Null-length curve).
mod - src/GeomInt/GeomInt_IntSS_1.cxx Diff ] File ]
add - tests/bugs/modalg_6/bug27269 Diff ] File ]
mod - tests/bugs/modalg_6/bug27325 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-03-16 13:40 nbv New Issue
2016-03-16 13:40 nbv Assigned To => msv
2016-03-16 13:40 nbv Relationship added child of 0027267
2016-03-16 14:07 nbv Note Added: 0051696
2016-03-16 14:07 nbv Relationship added related to 0027252
2016-03-16 15:21 nbv Note Deleted: 0051696
2016-03-16 15:34 nbv Relationship deleted related to 0027252
2016-03-16 17:20 msv Assigned To msv => nbv
2016-03-16 17:20 msv Priority normal => low
2016-03-16 17:20 msv Status new => assigned
2016-03-16 17:20 msv Product Version => 7.0.0
2016-03-17 09:35 nbv Note Added: 0051717
2016-04-11 10:41 git Note Added: 0052562
2016-04-11 10:42 nbv Note Added: 0052563
2016-04-11 10:42 nbv Assigned To nbv => msv
2016-04-11 10:42 nbv Status assigned => resolved
2016-04-11 10:42 nbv Steps to Reproduce Updated View Revisions
2016-04-12 14:31 git Note Added: 0052608
2016-04-12 14:31 nbv Note Added: 0052609
2016-04-27 16:27 msv Note Added: 0053640
2016-04-27 16:27 msv Assigned To msv => bugmaster
2016-04-27 16:27 msv Status resolved => reviewed
2016-04-27 16:37 mkv Assigned To bugmaster => mkv
2016-04-27 17:38 git Note Added: 0053651
2016-04-27 20:32 mkv Assigned To mkv => apv
2016-04-28 11:13 apv Test case number => bugs modalg_6 bug27269
2016-04-28 12:00 apv Note Added: 0053663
2016-04-28 12:00 apv Assigned To apv => bugmaster
2016-04-28 12:00 apv Status reviewed => tested
2016-04-29 16:10 bugmaster Changeset attached => occt master b55bd023
2016-04-29 16:10 bugmaster Status tested => verified
2016-04-29 16:10 bugmaster Resolution open => fixed
2016-05-20 12:22 git Note Added: 0054198
2016-12-09 16:31 user533 Status verified => closed
2016-12-09 16:37 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker